// Market Garden .shader file
// 
levelshots/UJE_marketgarden_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/UJE_marketgarden_cc.jpg
		depthFunc equal
		rgbGen identity
	}
}

levelshots/UJE_marketgarden_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/UJE_marketgarden_cc.jpg
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}
textures/UJE_marketgarden/river_m01
{
	nocompress
	qer_editorimage textures/UJE_marketgarden/ocean_m1b.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nofog
	waterfogvars ( 0.1 0.1 0.1 ) 300

	{
		fog on
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
	{ 
		fog on
		map textures/UJE_marketgarden/lake_m1.tga
		rgbgen identity
		tcmod scale .4 .3
		tcmod scroll .0075 -.0025
		tcmod stretch sin 1 .005 0 .06
	}
	{ 
		fog on    // added fog layer, not sure why it was disabled/missing - Wils
		map textures/UJE_marketgarden/river_m2_darker.tga    // less obvious moss thing - Wils
		blendFunc GL_dst_color GL_one
		rgbgen identity		
		tcmod scale -.12 .2
	}
}

textures/skies/anx_sky
{
	qer_editorimage textures/skies/sky_4.tga
	q3map_lightimage textures/skies/n_blue.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	q3map_globaltexture
	q3map_lightsubdivide 2048
	//q3map_sun	1.0 0.8 0.6 130 220 50
	q3map_sun 1.0 0.8 0.6 100 315 56
        q3map_surfacelight 25							

	fogvars ( .3 .3 .38 ) .000065

	skyparms - 200 -
	
	{
		map textures/skies/newclouds.tga
		tcMod scroll -0.001 -0.003
		tcMod scale 6 6
		depthWrite
	}

	{
		map textures/skies/assa_clouds1.tga
		blendfunc blend
		tcMod scroll 0.0005 0.00
		tcMod scale 2 1
	}

}

textures/skies/wils_skybox
{
	//qer_editorimage textures/mp_btmap/env/sky_dn.tga
	qer_editorimage textures/skies/sky_4.tga
	q3map_lightimage textures/skies/n_blue.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	surfaceparm nodlight
	q3map_globaltexture
	//q3map_sun 0.8 0.8 0.6 100 315 33 not used
	q3map_lightsubdivide 2048
	q3map_sun 1.0 0.8 0.6 100 315 56
	//q3map_sun 1.0 0.8 0.6 130 220 50
	q3map_surfacelight 100
	//skyparms textures/mp_btmap/env/sky - -
	skyparms full 200 -
	fogvars ( .13 .13 .14 ) .0001
	skyfogvars ( .23 .23 .24 ) .0001
	q3map_backsplash -1 -1
}

models/mapobjects/mp_btmap/barb_wire
{
    surfaceparm metalsteps
    nomipmaps
    nopicmip
    cull disable
    {
        map models/mapobjects/mp_btmap/barb_wire.tga
        alphaFunc GE128
	//blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex
    }
}

textures/UJE_marketgarden/chateau_c08
{
	qer_editorimage textures/alpha/chateau_c08.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm noimpact
    	surfaceparm nomarks
    	surfaceparm nonsolid
    	surfaceparm playerclip
	nomipmaps
	nopicmip
	cull disable
	{
        	map textures/alpha/chateau_c08.tga
		alphaFunc GE128
        	depthWrite
        	rgbGen vertex
	}
}

textures/UJE_marketgarden/brand_poster01
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/UJE_marketgarden/brand_poster01.tga
		alphaFunc GE128
      		depthWrite
		rgbGen vertex
	}
}

textures/UJE_marketgarden/brand_poster02
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/UJE_marketgarden/brand_poster02.tga
		alphaFunc GE128
      		depthWrite
		rgbGen vertex
	}
}

textures/UJE_marketgarden/brand_poster03
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/UJE_marketgarden/brand_poster03.tga
		alphaFunc GE128
      	depthWrite
		rgbGen vertex
	}
}

textures/UJE_marketgarden/brand_poster04
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/UJE_marketgarden/brand_poster04.tga
		alphaFunc GE128
      	depthWrite
		rgbGen vertex
	}
}

textures/UJE_marketgarden/brand_poster05
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/UJE_marketgarden/brand_poster05.tga
		alphaFunc GE128
      	depthWrite
		rgbGen vertex
	}
}

textures/UJE_marketgarden/brand_poster06
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/UJE_marketgarden/brand_poster06.tga
		alphaFunc GE128
      	depthWrite
		rgbGen vertex
	}
}

// Hedge textures
textures/UJE_marketgarden/hedge
{
	surfaceparm alphashadow
	surfaceparm grasssteps
	nomipmaps
	nopicmip
	cull none
	{
		map textures/UJE_marketgarden/hedge.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/UJE_marketgarden/hedge_end
{
	surfaceparm alphashadow
	surfaceparm grasssteps
	nomipmaps
	nopicmip
	cull none
	{
		map textures/UJE_marketgarden/hedge_end.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/UJE_marketgarden/window_flight
{
	surfaceparm alphashadow
	surfaceparm grasssteps
	nomipmaps
	nopicmip
	cull none
	{
		map textures/UJE_marketgarden/window_flight.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

// sfx
textures/UJE_marketgarden/blackness
{	
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	{
		map textures/UJE_marketgarden/blackness.tga
	}
}
textures/UJE_marketgarden/ivy_c01
{
    surfaceparm woodsteps
    surfaceparm nomarks
    nomipmaps
    nopicmip
    cull disable
//  surfaceparm alphashadow
    {
        map textures/UJE_marketgarden/ivy_c01.tga
       //alphaFunc GE128
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex

    }
}
// ======================================================================
// ALPHA BRUSHES
// ======================================================================
textures/UJE_marketgarden/alpha_000
{
	qer_editorimage textures/UJE_marketgarden/alpha_000.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/UJE_marketgarden/alpha_025
{
	qer_editorimage textures/UJE_marketgarden/alpha_025.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/UJE_marketgarden/alpha_050
{
	qer_editorimage textures/UJE_marketgarden/alpha_050.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/UJE_marketgarden/alpha_075
{
	qer_editorimage textures/UJE_marketgarden/alpha_075.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/UJE_marketgarden/alpha_085
{
	qer_editorimage textures/UJE_marketgarden/alpha_085.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/UJE_marketgarden/alpha_100
{
	qer_editorimage textures/UJE_marketgarden/alpha_100.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/UJE_marketgarden/latace
{
    surfaceparm woodsteps
    surfaceparm nomarks
    nomipmaps
    nopicmip
    cull disable
//  surfaceparm alphashadow
    {
        map textures/UJE_marketgarden/latace.tga
       //alphaFunc GE128
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        rgbGen vertex

    }
}
textures/UJE_marketgarden/truss_m05
{
    surfaceparm alphashadow
    nomipmaps
    nopicmip
    cull disable
    {
        map textures/UJE_marketgarden/truss_m05.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
}
textures/UJE_marketgarden/gy_door_01
{
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/UJE_marketgarden/gy_door_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/UJE_marketgarden/flags_m1_snowtad

{
	surfaceparm alphashadow
	 qer_trans 0.90
//	deformVertexes wave 194 sin 0 2 0 .1
//	deformVertexes wave 30 sin 0 1 0 .3
//	deformVertexes wave 194 sin 0 1 0 .4
	deformVertexes wave 10 sin 0 2 0 .2
	cull twosided
	{
		map textures/UJE_marketgarden/flags_m1_snowtad.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}

}

textures/UJE_marketgarden/flags_m1_snow

{
//	surfaceparm nolightmap // added as test
//	surfaceparm trans // added as test
	surfaceparm alphashadow
	deformVertexes wave 10 sin 0 2 0 .2
	cull twosided
	{
		map textures/UJE_marketgarden/flags_m1_snow.tga
		alphafunc ge128		
		rgbGen vertex
	}
	{
		map $lightmap
		blendfunc gl_zero gl_one
		rgbgen identity
		depthfunc equal
	}

}
textures/UJE_marketgarden/trees_m01
{

 // invalid JPW FIXME SP merge   cull front
    {  
        map textures/UJE_marketgarden/trees_m01.tga
	  blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//      alphaFunc GE128
        depthWrite
        rgbGen identity

    }
}
///Terrain
///Terrain
textures/UJE_marketgarden/terrain_sand
{
      qer_editorimage textures/desert_sd/sand_gravels_bright.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_lightmapaxis z
	surfaceparm gravelsteps
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_bounce 1
	{
		map textures/desert_sd/sand_gravels_bright.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_marketgarden/terrain_grass
{
      qer_editorimage textures/temperate_sd/grass_dense1.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_bounce 1
	surfaceparm gravelsteps
      	surfaceparm landmine
	{
		map textures/temperate_sd/grass_dense1.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/UJE_marketgarden/terrain_gravel
{
      qer_editorimage textures/desert_sd/road_dirty_gravel.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_bounce 1
	surfaceparm gravelsteps
      surfaceparm landmine
	{
		map textures/desert_sd/road_dirty_gravel.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/UJE_marketgarden/terrain_sandtograss
{
      qer_editorimage textures/UJE_marketgarden/qer0to2.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_bounce 1
	surfaceparm gravelsteps
      	surfaceparm landmine
	
	{
		map textures/temperate_sd/grass_dense1.tga
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}

textures/UJE_marketgarden/terrain_grasstorock
{
      qer_editorimage textures/UJE_marketgarden/qer0to5.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_bounce 1
	surfaceparm gravelsteps
      surfaceparm landmine
	
	{
		map textures/temperate_sd/grass_dense1.tga
	}
	{
		map textures/desert_sd/road_dirty_gravel.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_marketgarden/terrain_grasstogravel
{
      qer_editorimage textures/UJE_marketgarden/qer0to4.tga
	q3map_nonplanar 
   	q3map_shadeangle 180
	//q3map_lightmapsamplesize 32
	//q3map_lightmapsampleoffset 8
	q3map_lightmapaxis z
	q3map_texturesize 512 512
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
	q3map_bounce 1
	surfaceparm gravelsteps
      	surfaceparm landmine
	
	{
		map textures/desert_sd/road_dirty_gravel.tga
	}
	{
		map textures/temperate_sd/grass_dense1.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_marketgarden/crypt_floor_03
{
      	qer_editorimage textures/UJE_marketgarden/crypt_floor_03.jpg
	q3map_bounce 1
	surfaceparm rocksteps
      	surfaceparm landmine
	{
		map textures/UJE_marketgarden/crypt_floor_03.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_marketgarden/tree_m01t
{
	//sort 10		
	cull twosided
	{
		map textures/UJE_marketgarden/tree_m01t.tga
	//	alphaFunc GE128
	//	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendFunc blend
		rgbGen identity
	//	rgbGen vertex
	//	depthWrite

	}

}
textures/lights/light_m6_100
{
	qer_editorimage textures/lights/light_m6.tga
	q3map_lightimage textures/lights/light_m6.blend.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_m6.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_m6.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}
///Models
models/mapobjects/ktrees/05bark
{
	q3map_clipModel
	surfaceparm woodsteps
	surfaceparm nomarks
	implicitMap -
}
models/mapobjects/ktrees/ttrunk
{
	q3map_clipModel
	surfaceparm woodsteps
	surfaceparm nomarks
	implicitMap -
}
models/mapobjects/ktrees/12branch
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}
models/mapobjects/ktrees/ttree
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}
//Models shader
models/mapobjects/br_flowers/carnation_1
{
	qer_trans 0.85
	qer_editorimage models/mapobjects/br_flowers/carnation_1.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask models/mapobjects/br_flowers/carnation_1.tga
}
models/mapobjects/br_flowers/dafa1
{
	qer_trans 0.85
	qer_editorimage models/mapobjects/br_flowers/dafa1.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask models/mapobjects/br_flowers/dafa1.tga
}

models/mapobjects/br_flowers/rose_1
{
	qer_trans 0.85
	qer_editorimage models/mapobjects/br_flowers/rose_1.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask models/mapobjects/br_flowers/rose_1.tga
}
models/mapobjects/br_flowers/whiteflowers_1
{
	qer_trans 0.85
	qer_editorimage models/mapobjects/br_flowers/whiteflowers_1.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask models/mapobjects/br_flowers/whiteflowers_1.tga
}
models/mapobjects/br_flowers/yellowrose
{
	qer_trans 0.85
	qer_editorimage models/mapobjects/br_flowers/yellowrose.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask models/mapobjects/br_flowers/yellowrose.tga
}
models/mapobjects/br_flowers/green_1
{
	qer_trans 0.85
	qer_editorimage models/mapobjects/br_flowers/green_1.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask models/mapobjects/br_flowers/green_1.tga
}
models/mapobjects/br_flowers/green_2
{
	qer_trans 0.85
	qer_editorimage models/mapobjects/br_flowers/green_2.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask models/mapobjects/br_flowers/green_2.tga
}
models/mapobjects/converted/glass2
{
    {
     map models/mapobjects/converted/glass2.tga
     blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
     rgbGen vertex
    }
}
models/mapobjects/converted/maybach_logo2
{
    {
     map models/mapobjects/converted/maybach_logo2.tga
     blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
     rgbGen vertex
    }
}
models/mapobjects/converted/mercedes_benz_l3000_glass
{
	cull disable
    {
     map models/mapobjects/converted/mercedes_benz_l3000_glass.tga
     blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
     rgbGen vertex
    }
}

// propellor shader voor vliegtuigen
models/mapobjects/praetoria/airplanes/propeller
{
	cull none
	{
		clampmap models/mapobjects/praetoria/airplanes/propeller.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		tcMod rotate 200
	}
}
//////////////////////////////////
// dyno crate md3 shaders
models/mapobjects/uje_marketgarden/dynomite
{
	{
		map models/mapobjects/uje_marketgarden/dynomite.tga
	}
}

models/mapobjects/uje_marketgarden/dynocrate
{
	{
		map models/mapobjects/uje_marketgarden/dynocrate.tga
	}
}

models/mapobjects/uje_marketgarden/dynocrate_outline
{
	{
		alphagen const 0.1
		map models/mapobjects/uje_marketgarden/dynocrate_outline.tga
		blendfunc blend
	}
}